const Layout = () => import('@/layout/index.vue');

const systemRouter = {
  path: '/system',
  component: Layout,
  redirect: 'noRedirect',
  name: 'System',
  meta: {
    title: '系统管理',
    icon: 'sys-hdw'
  },
  children: [
    {
      path: 'region',
      component: () => import('@/views/system/region/index.vue'),
      name: 'RegionManage',
      meta: { title: '区域管理', icon: 'tree', noCache: false }
    },
    {
      path: 'user',
      component: () => import('@/views/system/user/index.vue'),
      name: 'UserManage',
      meta: { title: '用户管理', icon: 'people-hdw', noCache: false }
    }
  ]
};

export default systemRouter;
